com.verisign.epp.codec.gen

## Interface EPPCodecComponent

- All Superinterfaces:
    java.lang.Cloneable, java.io.Serializable
  All Known Subinterfaces:
    EPPMessage, EPPNameVerificationCreateResult, EPPNameVerificationInfoResult
  All Known Implementing Classes:
    EPPAllocationToken, EPPAllocationTokenInfo, EPPAuthInfo, EPPBalanceInfoCmd, EPPBalanceInfoResp, EPPChangeCaseId, EPPChangeData, EPPChangeOperation, EPPCheckCmd, EPPCoaExtAttr, EPPCoaExtCreate, EPPCoaExtInfData, EPPCoaExtKey, EPPCoaExtUpdate, EPPCoaExtValue, EPPCommand, EPPContactAddChange, EPPContactAddress, EPPContactCheckCmd, EPPContactCheckResp, EPPContactCheckResult, EPPContactCreateCmd, EPPContactCreateResp, EPPContactDeleteCmd, EPPContactDisclose, EPPContactDiscloseAddress, EPPContactDiscloseName, EPPContactDiscloseOrg, EPPContactInfoCmd, EPPContactInfoResp, EPPContactPendActionMsg, EPPContactPostalDefinition, EPPContactStatus, EPPContactTransferCmd, EPPContactTransferResp, EPPContactUpdateCmd, EPPCourt, EPPCreateCmd, EPPCredentials, EPPCreditThreshold, EPPDcp, EPPDefRegAddRemove, EPPDefRegCheckCmd, EPPDefRegCheckResp, EPPDefRegCheckResult, EPPDefRegCreateCmd, EPPDefRegCreateResp, EPPDefRegDeleteCmd, EPPDefRegInfoCmd, EPPDefRegInfoResp, EPPDefRegName, EPPDefRegPeriod, EPPDefRegRenewCmd, EPPDefRegRenewResp, EPPDefRegStatus, EPPDefRegTransferCmd, EPPDefRegTransferResp, EPPDefRegUpdateCmd, EPPDeleteCmd, EPPDomainAddRemove, EPPDomainCheckCmd, EPPDomainCheckResp, EPPDomainCheckResult, EPPDomainContact, EPPDomainCreateCmd, EPPDomainCreateResp, EPPDomainDeleteCmd, EPPDomainInfoCmd, EPPDomainInfoResp, EPPDomainNameVerification, EPPDomainPendActionMsg, EPPDomainPeriod, EPPDomainRenewCmd, EPPDomainRenewResp, EPPDomainStatus, EPPDomainTransferCmd, EPPDomainTransferResp, EPPDomainUpdateCmd, EPPEmailFwdAddRemove, EPPEmailFwdCheckCmd, EPPEmailFwdCheckResp, EPPEmailFwdCheckResult, EPPEmailFwdContact, EPPEmailFwdCreateCmd, EPPEmailFwdCreateResp, EPPEmailFwdDeleteCmd, EPPEmailFwdInfoCmd, EPPEmailFwdInfoResp, EPPEmailFwdPendActionMsg, EPPEmailFwdPeriod, EPPEmailFwdRenewCmd, EPPEmailFwdRenewResp, EPPEmailFwdStatus, EPPEmailFwdTransferCmd, EPPEmailFwdTransferResp, EPPEmailFwdUpdateCmd, EPPEncodedSignedCode, EPPEncodedSignedCodeValue, EPPEncodedSignedMark, EPPExtValue, EPPFeeCheck, EPPFeeCheck, EPPFeeCheck, EPPFeeCheck, EPPFeeCheckResult, EPPFeeCheckResult, EPPFeeChkData, EPPFeeChkData, EPPFeeChkData, EPPFeeChkData, EPPFeeCommand, EPPFeeCommand, EPPFeeCommand, EPPFeeCommand, EPPFeeCommandData, EPPFeeCommandData, EPPFeeCreate, EPPFeeCreate, EPPFeeCreate, EPPFeeCreate, EPPFeeCreData, EPPFeeCreData, EPPFeeCreData, EPPFeeCreData, EPPFeeCredit, EPPFeeCredit, EPPFeeCredit, EPPFeeCredit, EPPFeeDelData, EPPFeeDelData, EPPFeeDelData, EPPFeeDelData, EPPFeeObject, EPPFeeObjectResult, EPPFeeObjectResult, EPPFeePeriod, EPPFeePeriod, EPPFeePeriod, EPPFeePeriod, EPPFeeRenData, EPPFeeRenData, EPPFeeRenData, EPPFeeRenData, EPPFeeRenew, EPPFeeRenew, EPPFeeRenew, EPPFeeRenew, EPPFeeTransfer, EPPFeeTransfer, EPPFeeTransfer, EPPFeeTransfer, EPPFeeTransform, EPPFeeTransform, EPPFeeTransform, EPPFeeTransform, EPPFeeTransformResult, EPPFeeTransformResult, EPPFeeTransformResult, EPPFeeTransformResult, EPPFeeTrnData, EPPFeeTrnData, EPPFeeTrnData, EPPFeeTrnData, EPPFeeUpdate, EPPFeeUpdate, EPPFeeUpdate, EPPFeeUpdate, EPPFeeUpdData, EPPFeeUpdData, EPPFeeUpdData, EPPFeeUpdData, EPPFeeValue, EPPFeeValue, EPPFeeValue, EPPFeeValue, EPPGreeting, EPPHello, EPPHostAddRemove, EPPHostAddress, EPPHostAttr, EPPHostCheckCmd, EPPHostCheckResp, EPPHostCheckResult, EPPHostCreateCmd, EPPHostCreateResp, EPPHostDeleteCmd, EPPHostInfoCmd, EPPHostInfoResp, EPPHostPendActionMsg, EPPHostStatus, EPPHostUpdateCmd, EPPIdnLangTag, EPPIdnMap, EPPIdnTableCheckCmd, EPPIdnTableCheckDomain, EPPIdnTableCheckResp, EPPIdnTableCheckTable, EPPIdnTableDomainLabel, EPPIdnTableInfoCmd, EPPIdnTableInfoDomain, EPPIdnTableInfoDomainTable, EPPIdnTableInfoListItem, EPPIdnTableInfoResp, EPPIdnTableInfoTable, EPPInfoCmd, EPPIssuer, EPPJobsContactCreateCmd, EPPJobsContactInfoResp, EPPJobsContactUpdateCmd, EPPLaunchCheck, EPPLaunchCheckResult, EPPLaunchChkData, EPPLaunchClaimKey, EPPLaunchCodeMark, EPPLaunchCreate, EPPLaunchCreData, EPPLaunchDelete, EPPLaunchInfData, EPPLaunchInfo, EPPLaunchNotice, EPPLaunchPhase, EPPLaunchPolicyCreate, EPPLaunchPolicyInfData, EPPLaunchPolicyInfoPhase, EPPLaunchPolicyPhase, EPPLaunchPolicyPhaseStatus, EPPLaunchPolicyPollPolicy, EPPLaunchPolicyUpdate, EPPLaunchPolicyZone, EPPLaunchPolicyZoneContainer, EPPLaunchStatus, EPPLaunchUpdate, EPPLoginCmd, EPPLoginSec, EPPLoginSec, EPPLoginSecData, EPPLoginSecData, EPPLoginSecEvent, EPPLoginSecEvent, EPPLoginSecPolicyEvent, EPPLoginSecPolicyEvent, EPPLoginSecPolicyEvent, EPPLoginSecPolicyEvent, EPPLoginSecPolicyInfData, EPPLoginSecPolicyInfData, EPPLoginSecPolicyInfData, EPPLoginSecPolicyInfData, EPPLoginSecPolicyPassword, EPPLoginSecPolicyPassword, EPPLoginSecPolicyPassword, EPPLoginSecPolicyPassword, EPPLoginSecPolicySystem, EPPLoginSecPolicySystem, EPPLoginSecPolicySystem, EPPLoginSecPolicySystem, EPPLoginSecUserAgent, EPPLoginSecUserAgent, EPPLogoutCmd, EPPLowBalancePollResponse, EPPLowBalancePollThreshold, EPPMark, EPPMarkAddress, EPPMarkContact, EPPMsgQueue, EPPNamestoreExtNamestoreExt, EPPNamestoreExtNSExtErrData, EPPNameVerificationCheckCmd, EPPNameVerificationCheckResp, EPPNameVerificationCheckResult, EPPNameVerificationCreateCmd, EPPNameVerificationCreateFailed, EPPNameVerificationCreatePending, EPPNameVerificationCreateResp, EPPNameVerificationCreateSuccess, EPPNameVerificationDocument, EPPNameVerificationInfoCmd, EPPNameVerificationInfoInputResult, EPPNameVerificationInfoResp, EPPNameVerificationInfoSignedCodeResult, EPPNameVerificationPendActionMsg, EPPNameVerificationUpdateCmd, EPPNameWatchAddRemove, EPPNameWatchCreateCmd, EPPNameWatchCreateResp, EPPNameWatchDeleteCmd, EPPNameWatchInfoCmd, EPPNameWatchInfoResp, EPPNameWatchPeriod, EPPNameWatchRenewCmd, EPPNameWatchRenewResp, EPPNameWatchRptTo, EPPNameWatchStatus, EPPNameWatchTransferCmd, EPPNameWatchTransferResp, EPPNameWatchUpdateCmd, EPPOrgAddress, EPPOrgCheckCmd, EPPOrgCheckResp, EPPOrgCheckResult, EPPOrgContact, EPPOrgCreateCmd, EPPOrgCreateResp, EPPOrgDeleteCmd, EPPOrgExtAddRemChg, EPPOrgExtCreate, EPPOrgExtId, EPPOrgExtInfData, EPPOrgExtUpdate, EPPOrgInfoCmd, EPPOrgInfoResp, EPPOrgPendActionMsg, EPPOrgPostalDefinition, EPPOrgRole, EPPOrgUpdateCmd, EPPPersRegCreate, EPPPersRegCreateData, EPPPersRegCreateErrData, EPPPersRegGenData, EPPPersRegInfoData, EPPPersRegRenewData, EPPPersRegTransferData, EPPPollCmd, EPPPremiumDomainCheck, EPPPremiumDomainCheckResp, EPPPremiumDomainCheckResult, EPPPremiumDomainReAssignCmd, EPPProtection, EPPProtocolExtension, EPPPurpose, EPPRealNameVerification, EPPRecipient, EPPRegistryAbstractMinMax, EPPRegistryAbstractMinMax, EPPRegistryBatchJob, EPPRegistryBatchJob, EPPRegistryBatchSchedule, EPPRegistryCheckCmd, EPPRegistryCheckCmd, EPPRegistryCheckCmd, EPPRegistryCheckResp, EPPRegistryCheckResp, EPPRegistryCheckResp, EPPRegistryCheckResult, EPPRegistryCheckResult, EPPRegistryCheckResult, EPPRegistryContact, EPPRegistryContact, EPPRegistryContact, EPPRegistryContactAddress, EPPRegistryContactAddress, EPPRegistryContactAddress, EPPRegistryContactCity, EPPRegistryContactCity, EPPRegistryContactCity, EPPRegistryContactName, EPPRegistryContactName, EPPRegistryContactName, EPPRegistryContactOrg, EPPRegistryContactOrg, EPPRegistryContactOrg, EPPRegistryContactPostalCode, EPPRegistryContactPostalCode, EPPRegistryContactPostalCode, EPPRegistryContactStateProvince, EPPRegistryContactStateProvince, EPPRegistryContactStateProvince, EPPRegistryContactStreet, EPPRegistryContactStreet, EPPRegistryContactStreet, EPPRegistryCreateCmd, EPPRegistryCreateCmd, EPPRegistryCreateCmd, EPPRegistryCreateResp, EPPRegistryCreateResp, EPPRegistryCreateResp, EPPRegistryCustomData, EPPRegistryDefaultPeriodType, EPPRegistryDefaultPeriodType, EPPRegistryDefaultPeriodType, EPPRegistryDeleteCmd, EPPRegistryDeleteCmd, EPPRegistryDeleteCmd, EPPRegistryDNSSEC, EPPRegistryDNSSEC, EPPRegistryDNSSEC, EPPRegistryDomain, EPPRegistryDomain, EPPRegistryDomain, EPPRegistryDomainContact, EPPRegistryDomainContact, EPPRegistryDomainContact, EPPRegistryDomainHostLimit, EPPRegistryDomainHostLimit, EPPRegistryDomainHostLimit, EPPRegistryDomainName, EPPRegistryDomainName, EPPRegistryDomainName, EPPRegistryDomainNSLimit, EPPRegistryDomainNSLimit, EPPRegistryDomainNSLimit, EPPRegistryDomainPeriod, EPPRegistryDomainPeriod, EPPRegistryDomainPeriod, EPPRegistryDS, EPPRegistryDS, EPPRegistryDS, EPPRegistryExceedMaxExDate, EPPRegistryExternalHost, EPPRegistryExternalHost, EPPRegistryExternalHost, EPPRegistryFields, EPPRegistryGracePeriod, EPPRegistryGracePeriod, EPPRegistryGracePeriod, EPPRegistryHost, EPPRegistryHost, EPPRegistryHost, EPPRegistryIDN, EPPRegistryIDN, EPPRegistryIDN, EPPRegistryInfoCmd, EPPRegistryInfoCmd, EPPRegistryInfoCmd, EPPRegistryInfoResp, EPPRegistryInfoResp, EPPRegistryInfoResp, EPPRegistryInternalHost, EPPRegistryInternalHost, EPPRegistryInternalHost, EPPRegistryKey, EPPRegistryKey, EPPRegistryKey, EPPRegistryKeyValue, EPPRegistryLanguage, EPPRegistryLanguage, EPPRegistryLanguageType, EPPRegistryMaxPeriodType, EPPRegistryMaxPeriodType, EPPRegistryMaxPeriodType, EPPRegistryMaxSig, EPPRegistryMaxSig, EPPRegistryMaxSig, EPPRegistryMinMax, EPPRegistryMinMaxLength, EPPRegistryMinMaxLength, EPPRegistryMinMaxLength, EPPRegistryMinMaxPeriod, EPPRegistryMinMaxPeriod, EPPRegistryMinMaxPeriod, EPPRegistryMinPeriodType, EPPRegistryMinPeriodType, EPPRegistryMinPeriodType, EPPRegistryPendingDeletePeriodType, EPPRegistryPendingDeletePeriodType, EPPRegistryPendingDeletePeriodType, EPPRegistryPendingRestorePeriodType, EPPRegistryPendingRestorePeriodType, EPPRegistryPendingRestorePeriodType, EPPRegistryPeriodType, EPPRegistryPeriodType, EPPRegistryPeriodType, EPPRegistryPhase, EPPRegistryPostal, EPPRegistryPostal, EPPRegistryPostal, EPPRegistryRedemptionPeriodType, EPPRegistryRedemptionPeriodType, EPPRegistryRedemptionPeriodType, EPPRegistryRegex, EPPRegistryRegex, EPPRegistryRegex, EPPRegistryRelated, EPPRegistryReservedNames, EPPRegistryReservedNames, EPPRegistryReservedNames, EPPRegistryRGP, EPPRegistryRGP, EPPRegistryRGP, EPPRegistryServices, EPPRegistryServices, EPPRegistryServices, EPPRegistryServices.EPPRegistryObjURI, EPPRegistryServices.EPPRegistryObjURI, EPPRegistryServices.EPPRegistryObjURI, EPPRegistryServices.EPPRegistryURI, EPPRegistryServices.EPPRegistryURI, EPPRegistryServices.EPPRegistryURI, EPPRegistryServicesExt, EPPRegistryServicesExt, EPPRegistryServicesExt, EPPRegistryServicesExt.EPPRegistryExtURI, EPPRegistryServicesExt.EPPRegistryExtURI, EPPRegistryServicesExt.EPPRegistryExtURI, EPPRegistrySLA, EPPRegistrySLAInfo, EPPRegistrySupportedStatus, EPPRegistrySupportedStatus, EPPRegistrySupportedStatus, EPPRegistrySystemInfo, EPPRegistrySystemInfo, EPPRegistryTransferHoldPeriodType, EPPRegistryTransferHoldPeriodType, EPPRegistryTransferHoldPeriodType, EPPRegistryUpdateCmd, EPPRegistryUpdateCmd, EPPRegistryUpdateCmd, EPPRegistryUpdateResp, EPPRegistryZone, EPPRegistryZone, EPPRegistryZone, EPPRegistryZoneData, EPPRegistryZoneInfo, EPPRegistryZoneList, EPPRegistryZoneList, EPPRegistryZoneList, EPPRegistryZoneMember, EPPRegistryZoneName, EPPRegistryZoneName, EPPRegistryZoneSummary, EPPRegistryZoneSummary, EPPRelatedDomainExtAuthInfo, EPPRelatedDomainExtAvailable, EPPRelatedDomainExtCreate, EPPRelatedDomainExtCreateResp, EPPRelatedDomainExtDelete, EPPRelatedDomainExtDeleteResp, EPPRelatedDomainExtDomain, EPPRelatedDomainExtDomainData, EPPRelatedDomainExtField, EPPRelatedDomainExtFields, EPPRelatedDomainExtGroup, EPPRelatedDomainExtInfData, EPPRelatedDomainExtInfo, EPPRelatedDomainExtName, EPPRelatedDomainExtPeriod, EPPRelatedDomainExtRegistered, EPPRelatedDomainExtRenew, EPPRelatedDomainExtRenewResp, EPPRelatedDomainExtTransfer, EPPRelatedDomainExtTransferResp, EPPRelatedDomainExtUpdate, EPPRenewCmd, EPPResponse, EPPResult, EPPRgpExtInfData, EPPRgpExtReport, EPPRgpExtReportText, EPPRgpExtRestore, EPPRgpExtStatus, EPPRgpExtUpData, EPPRgpExtUpdate, EPPRgpPollResponse, EPPRgpPollStatus, EPPSecDNSExtCreate, EPPSecDNSExtCreate, EPPSecDNSExtDsData, EPPSecDNSExtDsData, EPPSecDNSExtInfData, EPPSecDNSExtInfData, EPPSecDNSExtKeyData, EPPSecDNSExtKeyData, EPPSecDNSExtUpdate, EPPSecDNSExtUpdate, EPPService, EPPServiceMenu, EPPSignedCode, EPPSignedMark, EPPStatement, EPPSyncExtUpdate, EPPTrademark, EPPTransferCmd, EPPTransId, EPPTreatyOrStatute, EPPUpdateCmd, EPPValidateAddress, EPPValidateAuthInfo, EPPValidateCheckCmd, EPPValidateCheckResp, EPPValidateCheckResult, EPPValidateContact, EPPValidateKeyValue, EPPValidatePostalDefinition, EPPValue, EPPVerificationCode, EPPVerificationCodeInfData, EPPVerificationCodeInfo, EPPVerificationCodeProfile, EPPWhoisInf, EPPWhoisInfData

      public interface EPPCodecComponent
      extends java.io.Serializable, java.lang.Cloneable

  Represents an EPP CODEC Component interface that is implemented by any class that needs to participate in the encoding and decoding of EPP XML documents. All `EPPCodecComponent` classes are `Serializable`. All subclasses of `EPPMessage` and all contained classes of `EPPMessage` classes must implement the `EPPCodecComponent` interface.
  See Also:
    `EPPMessage`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `java.lang.String` | `getNamespace()` Gets the EPP namespace associated with the `EPPCodecComponent`.

- - ### Method Detail

    - #### encode

          org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                              throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### decode

          void decode(org.w3c.dom.Element aElement)
               throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### clone

          java.lang.Object clone()
                          throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getNamespace

          java.lang.String getNamespace()

      Gets the EPP namespace associated with the `EPPCodecComponent`.
      Returns:
        Namespace URI associated with the `EPPCodecComponent`.